diff --git a/tools/ide/QtCreator/QtCreatorSetup.sh b/tools/ide/QtCreator/QtCreatorSetup.sh
index e62fbb0..afd3685 100755
--- a/tools/ide/QtCreator/QtCreatorSetup.sh
+++ b/tools/ide/QtCreator/QtCreatorSetup.sh
@@ -777,111 +866,39 @@ function createDiWheelDriveProject {
     fi
   done
 
-  # print message
-  printInfo "creating QtCreator project files for the DiWheelDrive module...\n"
-
   # read absolute project directory if required
   if [ -z "$projectdir" ]; then
     getProjectDir projectdir
   fi
 
-  # retrieve absolute GCC include dir
-  if [ -z "$gccincludedir" ]; then
-    retrieveGccIncludeDir gccincludedir
-  fi
-
-  # move to project directory
-  cd $projectdir
-
-  # AMiRo-OS, ChibiOS, AMiRo-BLT and AMiRo-LLD relative root directories
-  local amiroosrootdir=$(realpath $(dirname ${BASH_SOURCE[0]})/../../..)
-  local chibiosrootdir=$(realpath ${amiroosrootdir}/kernel/ChibiOS)
-  local amirobltrootdir=$(realpath ${amiroosrootdir}/bootloader/AMiRo-BLT)
-  local amirolldrootdir=$(realpath ${amiroosrootdir}/periphery-lld/AMiRo-LLD)
-
-  # generate a file that contains all subdirectories as includes (but ignore hidden and documentation directories)
-  find $gccincludedir -type d > ${projectdir}/DiWheelDrive.includes
-  echo $amiroosrootdir >> ${projectdir}/DiWheelDrive.includes
-  find $amiroosrootdir/modules -type d | grep -v "/doc\|/build\|/.dep\|/LightRing\|/PowerManagement" >> ${projectdir}/DiWheelDrive.includes
-  find $amiroosrootdir/core -type d >> ${projectdir}/DiWheelDrive.includes
-  find $amiroosrootdir/unittests -type d >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/common/abstractions/cmsis_os$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/common/ext/CMSIS/(include|ST/STM32F1xx)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/common/oslib/(include|src)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/common/ports/ARMCMx(/compilers/GCC)?$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/common/startup/ARMCMx/(compilers/GCC|devices/STM32F1xx)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/hal/(include|src)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/hal/lib/streams" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/hal/osal/(lib|rt)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/hal/ports/(common/ARMCMx|STM32/(LLD/(CANv1|DACv1|DMAv1|EXTIv1|GPIOv1|I2Cv1|RTCv1|SDIOv1|SPIv1|TIMv1|USARTv1|USBv1|xWDGv1)|STM32F1xx))$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/license$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/os/rt/(include|src)$" >> ${projectdir}/DiWheelDrive.includes
-  find $chibiosrootdir -type d | grep -E "/test/(lib|rt/source/test)$" >> ${projectdir}/DiWheelDrive.includes
-  find $amirobltrootdir -type d | grep -E "/Target/Source/AMiRo$" >> ${projectdir}/DiWheelDrive.includes
-  echo "$(realpath ${amirolldrootdir}/..)" >> ${projectdir}/DiWheelDrive.includes
-  find $amirolldrootdir -type d | grep -v "/doc" >> ${projectdir}/DiWheelDrive.includes
-  # generate a file that specifies all files
-  echo -n "" > ${projectdir}/DiWheelDrive.files
-  for path in `cat ${projectdir}/DiWheelDrive.includes`; do
-    find $path -maxdepth 1 -type f \( ! -iname ".*" \) |
-      grep -Ev "^.*((/arm-none-eabi/)|(LightRing)|(PowerManagement)).*$" |
-      grep -E  "^.*(\.s|\.S|\.h|\.c|\.hpp|\.cpp|\.tpp|\.ld)$" |
-      grep -Ev "^${chibiosrootdir}/os/common/ext/CMSIS/ST/STM32F1xx/((stm32f1[^0x])|(stm32f10[^3])|(stm32f103[^x])|(stm32f103x[^e])).*$" |
-      grep -Ev "^${chibiosrootdir}/os/common/ext/CMSIS/include/((core_[^c])|(core_c[^m])|(core_cm[^3A-Za-z])|(cmsis_[^g])|(cmsis_g[^c]|(cmsis_gc[^c])))" |
-      grep -Ev "^${chibiosrootdir}/os/common/ports/ARMCMx/chcore_v[^7]m.*$" |
-      grep -Ev "^${chibiosrootdir}/os/common/ports/ARMCMx/compilers/GCC/.*_v[^7]m.*$" |
-      grep -Ev "^${chibiosrootdir}/os/common/startup/ARMCMx/compilers/GCC/.*_v[^7]m.*$" |
-      grep -Ev "^${chibiosrootdir}/os/hal/ports/STM32/STM32F1xx/.*f10[^3].*$" |
-      grep -Ev "^${amirobltrootdir}/Target/Source/AMiRo/helper.*$" >> ${projectdir}/DiWheelDrive.files;
-  done
-  # generate a default project configuration file if none exists so far
-  if [ ! -f ${projectdir}/DiWheelDrive.config ]; then
-    echo "// Add predefined macros for your project here. For example:" > ${projectdir}/DiWheelDrive.config
-    echo "// #define YOUR_CONFIGURATION belongs here" >> ${projectdir}/DiWheelDrive.config
+  # list all files to be deleted
+  if [ -z "$modulename" ]; then
+    if [ $wipe != true ]; then
+      files=$(find "${projectdir}" -maxdepth 1 -type f | grep -E "^.+\.(includes|files|config|creator)$")
+    else
+      files=$(find "${projectdir}" -maxdepth 1 -type f | grep -E "^.+\.(includes|files|config|creator|creator\.user)$")
+    fi
+  else
+    if [ $wipe != true ]; then
+      files=$(find "${projectdir}" -maxdepth 1 -type f | grep -E "^.${modulename}\.(includes|files|config|creator)$")
+    else
+      files=$(find "${projectdir}" -maxdepth 1 -type f | grep -E "^.${modulename}\.(includes|files|config|creator|creator\.user)$")
+    fi
   fi
-  # generate a default .creator file if none exists so far
-  if [ ! -f ${projectdir}/DiWheelDrive.creator ]; then
-    echo "[general]" > ${projectdir}/DiWheelDrive.creator
+  if [ ! -z "$files" ]; then
+    printInfo "Deleting the following files:\n"
+    while read line; do
+      printInfo "\t$(basename ${line})\n"
+      rm ${line} 2>&1 | tee -a $LOG_FILE
+    done <<< "${files}"
+  else
+    printInfo "No project files found\n"
   fi
 
-  # go back to user directory
-  cd $userdir
-
-  # fill the output variables
+  # store the path to the output variable, if required
   if [ ! -z "$outvar" ]; then
     eval $outvar="$projectdir"
   fi
-  if [ ! -z "$gccoutvar" ]; then
-    eval $gccoutvar="$gccincludedir"
-  fi
-
-  return 0
-}
-
-### create project files for all modules #######################################
-# Create project files for all modules.
-#
-# usage:      createAllProjects
-# arguments:  n/a
-# return:     0
-#                 No error or warning occurred.
-#
-function createAllProjects {
-  # print message
-  printInfo "creating QtCreator project files for the DiWheelDrive module...\n"
-
-  # read project directory
-  local projectdir=""
-  getProjectDir projectdir
-  printInfo "files will be created in $projectdir\n"
-
-  # retrieve gcc-arm-none-eabi include dir
-  retrieveGccIncludeDir gccincludedir
-
-  # create projects
-  createLightRingProject --path="$projectdir" --gcc="$gccincludedir"
-  createPowerManagementProject --path="$projectdir" --gcc="$gccincludedir"
-  createDiWheelDriveProject --path="$projectdir" --gcc="$gccincludedir"
 
   return 0
 }
@@ -936,6 +953,22 @@ function main {
   # log script name
   printLog "this is $(realpath ${BASH_SOURCE[0]})\n"
 
+  # detect available modules and inform user
+  local modules=()
+  detectModules modules
+  case "${#modules[@]}" in
+    0)
+      printInfo "no module has been detected\n";;
+    1)
+      printInfo "1 module has been detected:\n";;
+    *)
+      printInfo "${#modules[@]} modules have been detected:\n"
+  esac
+  for (( idx=0; idx<${#modules[@]}; ++idx )); do
+    printInfo "  - ${modules[$idx]}\n"
+  done
+  printf "\n"
+
   # parse arguments
   local otherargs=()
   while [ $# -gt 0 ]; do
@@ -943,18 +976,16 @@ function main {
       case "$1" in
         -h|--help) # already handled; ignore
           shift 1;;
+        -m=*|--module=*)
+          createModuleProject modules[@] --module="${1#*=}"; printf "\n"; shift 1;;
+        -m*|--module*)
+           createModuleProject modules[@] --module="${2}"; printf "\n"; shift 2;;
+        -a|--all)
+           createAllProjects modules[@]; shift 1;;
         -c|--clean)
           deleteProjects; printf "\n"; shift 1;;
         -w|--wipe)
           deleteProjects --wipe; printf "\n"; shift 1;;
-        --LightRing)
-          createLightRingProject; printf "\n"; shift 1;;
-        --PowerManagement)
-          createPowerManagementProject; printf "\n"; shift 1;;
-        --DiWheelDrive)
-          createDiWheelDriveProject; printf "\n"; shift 1;;
-        -a|--all)
-          createAllProjects; printf "\n"; shift 1;;
         -q|--quit)
           quitScript; shift 1;;
         --log=*|--LOG=*) # already handled; ignore
@@ -977,31 +1008,25 @@ function main {
     # main menu info prompt and selection
     printInfo "QtCreator setup main menu\n"
     printf "Please select one of the following actions:\n"
-    printf "  [C] - clean project files\n"
-    printf "  [W] - wipe project and .user files\n"
-    printf "  [L] - create a project for the LightRing module\n"
-    printf "  [P] - create a project for the PowerManagement module\n"
-    printf "  [D] - create a project for the DiWheelDrive module\n"
+    printf "  [M] - create a project for a single module\n"
     printf "  [A] - create a project for all modules\n"
+    printf "  [C] - clean all project files\n"
+    printf "  [W] - wipe all project and .user files\n"
     printf "  [Q] - quit this setup\n"
     local userinput=""
-    readUserInput "CcWwLlPpDdAaQq" userinput
+    readUserInput "MmAaCcWwQq" userinput
     printf "\n"
 
     # evaluate user selection
     case "$userinput" in
+      M|m)
+        createModuleProject modules[@]; printf "\n";;
+      A|a)
+        createAllProjects modules[@]; printf "\n";;
       C|c)
         deleteProjects; printf "\n";;
       W|w)
         deleteProjects --wipe; printf "\n";;
-      L|l)
-        createLightRingProject; printf "\n";;
-      P|p)
-        createPowerManagementProject; printf "\n";;
-      D|d)
-        createDiWheelDriveProject; printf "\n";;
-      A|a)
-        createAllProjects; printf "\n";;
       Q|q)
         quitScript;;
       *) # sanity check (exit with error)
diff --git a/tools/ide/idesetup.sh b/tools/ide/idesetup.sh
index eef3902..bfb77db 100755
--- a/tools/ide/idesetup.sh
+++ b/tools/ide/idesetup.sh
@@ -1,7 +1,7 @@
 ################################################################################
 # AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
 # (AMiRo) platform.                                                            #
-# Copyright (C) 2016..2018  Thomas Schöpping et al.                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
 #                                                                              #
 # This program is free software: you can redistribute it and/or modify         #
 # it under the terms of the GNU General Public License as published by         #
@@ -263,6 +263,40 @@ function setLogFile {
   return 0
 }
 
+### check whether commands are available #######################################
+# Checks whether the specified commands are available and can be executed.
+#
+# usage:      checkCommand [<command> <command> ...]
+# arguments:  <command>
+#                 Name of the command to check.
+# return:     0
+#                 All requested commands are available.
+#             >0
+#                 Number of requested commands that were not found.
+#             -1
+#                 No argument given.
+#
+function checkCommands {
+  local status=0
+
+  # return if no argument was specified
+  if [ $# -eq 0 ]; then
+    return -1
+  fi
+
+  # check all specified commands
+  while [ $# -gt 0 ]; do
+    command -v $1 &>/dev/null
+    if [ $? -ne 0 ]; then
+      printWarning "Command '$1' not available.\n"
+      status=$((status + 1))
+    fi
+    shift 1
+  done
+
+  return $status
+}
+
 ################################################################################
 # SPECIFIC FUNCTIONS                                                           #
 ################################################################################
@@ -281,7 +315,7 @@ function printWelcomeText {
   printf "#                                                                    #\n"
   printf "######################################################################\n"
   printf "#                                                                    #\n"
-  printf "# Copyright (c) 2016..2018  Thomas Schöpping                         #\n"
+  printf "# Copyright (c) 2016..2019  Thomas Schöpping                         #\n"
   printf "#                                                                    #\n"
   printf "# This is free software; see the source for copying conditions.      #\n"
   printf "# There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR  #\n"
diff --git a/unittests/lld/inc/ut_lld_adc.h b/unittests/lld/inc/ut_lld_adc.h
index b3cae14..183c415 100644
--- a/unittests/lld/inc/ut_lld_adc.h
+++ b/unittests/lld/inc/ut_lld_adc.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/lld/src/ut_lld_adc.c b/unittests/lld/src/ut_lld_adc.c
index 05721f7..cb09a71 100644
--- a/unittests/lld/src/ut_lld_adc.c
+++ b/unittests/lld/src/ut_lld_adc.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_a3906.h b/unittests/periphery-lld/inc/ut_alld_a3906.h
index 145d21c..7ac34e9 100644
--- a/unittests/periphery-lld/inc/ut_alld_a3906.h
+++ b/unittests/periphery-lld/inc/ut_alld_a3906.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_at24c01bn-sh-b.h b/unittests/periphery-lld/inc/ut_alld_at24c01bn-sh-b.h
index 1ed579e..3957713 100644
--- a/unittests/periphery-lld/inc/ut_alld_at24c01bn-sh-b.h
+++ b/unittests/periphery-lld/inc/ut_alld_at24c01bn-sh-b.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_bq24103a.h b/unittests/periphery-lld/inc/ut_alld_bq24103a.h
index 889ce22..7bca55a 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq24103a.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq24103a.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_bq27500.h b/unittests/periphery-lld/inc/ut_alld_bq27500.h
index 9818639..1c3682d 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq27500.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq27500.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_bq27500_bq24103a.h b/unittests/periphery-lld/inc/ut_alld_bq27500_bq24103a.h
index 58836ce..7cd7069 100644
--- a/unittests/periphery-lld/inc/ut_alld_bq27500_bq24103a.h
+++ b/unittests/periphery-lld/inc/ut_alld_bq27500_bq24103a.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_dw1000.h b/unittests/periphery-lld/inc/ut_alld_dw1000.h
index 43f98eb..8e002c4 100755
--- a/unittests/periphery-lld/inc/ut_alld_dw1000.h
+++ b/unittests/periphery-lld/inc/ut_alld_dw1000.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_DW1000_LLD_HPP_
-#define _AMIROOS_UT_DW1000_LLD_HPP_
+#ifndef _AMIROOS_UT_DW1000_LLD_H_
+#define _AMIROOS_UT_DW1000_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -37,4 +37,4 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_DW1000) */
 
-#endif /* _AMIROOS_UT_DW1000_LLD_HPP_ */
+#endif /* _AMIROOS_UT_DW1000_LLD_H_ */
diff --git a/unittests/periphery-lld/inc/ut_alld_hmc5883l.h b/unittests/periphery-lld/inc/ut_alld_hmc5883l.h
index e478c2f..9dd5356 100644
--- a/unittests/periphery-lld/inc/ut_alld_hmc5883l.h
+++ b/unittests/periphery-lld/inc/ut_alld_hmc5883l.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_HMC5883L_LLD_HPP_
-#define _AMIROOS_UT_HMC5883L_LLD_HPP_
+#ifndef _AMIROOS_UT_HMC5883L_LLD_H_
+#define _AMIROOS_UT_HMC5883L_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -62,4 +62,4 @@ extern "C" {
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_HMC5883L) */
 
 
-#endif /* _AMIROOS_UT_HMC5883L_LLD_HPP_ */
+#endif /* _AMIROOS_UT_HMC5883L_LLD_H_ */
diff --git a/unittests/periphery-lld/inc/ut_alld_ina219.h b/unittests/periphery-lld/inc/ut_alld_ina219.h
index c386e5f..4a26940 100644
--- a/unittests/periphery-lld/inc/ut_alld_ina219.h
+++ b/unittests/periphery-lld/inc/ut_alld_ina219.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_INA219_LLD_HPP_
-#define _AMIROOS_UT_INA219_LLD_HPP_
+#ifndef _AMIROOS_UT_INA219_LLD_H_
+#define _AMIROOS_UT_INA219_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -61,4 +61,4 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_INA219) */
 
-#endif /* _AMIROOS_UT_INA219_LLD_HPP_ */
+#endif /* _AMIROOS_UT_INA219_LLD_H_ */
diff --git a/unittests/periphery-lld/inc/ut_alld_l3g4200d.h b/unittests/periphery-lld/inc/ut_alld_l3g4200d.h
index ff55790..d65a226 100644
--- a/unittests/periphery-lld/inc/ut_alld_l3g4200d.h
+++ b/unittests/periphery-lld/inc/ut_alld_l3g4200d.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_L3G4200D_LLD_HPP_
-#define _AMIROOS_UT_L3G4200D_LLD_HPP_
+#ifndef _AMIROOS_UT_L3G4200D_LLD_H_
+#define _AMIROOS_UT_L3G4200D_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -61,5 +61,5 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_L3G4200D) */
 
-#endif /* _AMIROOS_UT_L3G4200D_LLD_HPP_ */
+#endif /* _AMIROOS_UT_L3G4200D_LLD_H_ */
 
diff --git a/unittests/periphery-lld/inc/ut_alld_led.h b/unittests/periphery-lld/inc/ut_alld_led.h
index d8a3e21..ec01070 100644
--- a/unittests/periphery-lld/inc/ut_alld_led.h
+++ b/unittests/periphery-lld/inc/ut_alld_led.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_lis331dlh.h b/unittests/periphery-lld/inc/ut_alld_lis331dlh.h
index 41152f4..ad6caf4 100644
--- a/unittests/periphery-lld/inc/ut_alld_lis331dlh.h
+++ b/unittests/periphery-lld/inc/ut_alld_lis331dlh.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_LIS331DLH_LLD_HPP_
-#define _AMIROOS_UT_LIS331DLH_LLD_HPP_
+#ifndef _AMIROOS_UT_LIS331DLH_LLD_H_
+#define _AMIROOS_UT_LIS331DLH_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -61,5 +61,5 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_LIS331DLH) */
 
-#endif /* _AMIROOS_UT_LIS331DLH_LLD_HPP_ */
+#endif /* _AMIROOS_UT_LIS331DLH_LLD_H_ */
 
diff --git a/unittests/periphery-lld/inc/ut_alld_ltc4412.h b/unittests/periphery-lld/inc/ut_alld_ltc4412.h
index 9a68766..9921ed7 100644
--- a/unittests/periphery-lld/inc/ut_alld_ltc4412.h
+++ b/unittests/periphery-lld/inc/ut_alld_ltc4412.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_mpr121.h b/unittests/periphery-lld/inc/ut_alld_mpr121.h
index 019d521..d1c9632 100644
--- a/unittests/periphery-lld/inc/ut_alld_mpr121.h
+++ b/unittests/periphery-lld/inc/ut_alld_mpr121.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_pca9544a.h b/unittests/periphery-lld/inc/ut_alld_pca9544a.h
index 08e153c..33012f1 100644
--- a/unittests/periphery-lld/inc/ut_alld_pca9544a.h
+++ b/unittests/periphery-lld/inc/ut_alld_pca9544a.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_pklcs1212e4001.h b/unittests/periphery-lld/inc/ut_alld_pklcs1212e4001.h
index 9fc35c9..73ffa6b 100644
--- a/unittests/periphery-lld/inc/ut_alld_pklcs1212e4001.h
+++ b/unittests/periphery-lld/inc/ut_alld_pklcs1212e4001.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_tlc5947.h b/unittests/periphery-lld/inc/ut_alld_tlc5947.h
index 5c31bdc..e5ed617 100644
--- a/unittests/periphery-lld/inc/ut_alld_tlc5947.h
+++ b/unittests/periphery-lld/inc/ut_alld_tlc5947.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_tps2051bdbv.h b/unittests/periphery-lld/inc/ut_alld_tps2051bdbv.h
index 10e1e38..0dc5f4d 100644
--- a/unittests/periphery-lld/inc/ut_alld_tps2051bdbv.h
+++ b/unittests/periphery-lld/inc/ut_alld_tps2051bdbv.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_tps62113.h b/unittests/periphery-lld/inc/ut_alld_tps62113.h
index 9915ea4..a76bdbe 100644
--- a/unittests/periphery-lld/inc/ut_alld_tps62113.h
+++ b/unittests/periphery-lld/inc/ut_alld_tps62113.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_tps62113_ina219.h b/unittests/periphery-lld/inc/ut_alld_tps62113_ina219.h
index 034fd82..7c4cf6d 100644
--- a/unittests/periphery-lld/inc/ut_alld_tps62113_ina219.h
+++ b/unittests/periphery-lld/inc/ut_alld_tps62113_ina219.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/inc/ut_alld_vcnl4020.h b/unittests/periphery-lld/inc/ut_alld_vcnl4020.h
index 4c0c37f..68c72cc 100644
--- a/unittests/periphery-lld/inc/ut_alld_vcnl4020.h
+++ b/unittests/periphery-lld/inc/ut_alld_vcnl4020.h
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@ You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
-#ifndef _AMIROOS_UT_VCNL4020_LLD_HPP_
-#define _AMIROOS_UT_VCNL4020_LLD_HPP_
+#ifndef _AMIROOS_UT_VCNL4020_LLD_H_
+#define _AMIROOS_UT_VCNL4020_LLD_H_
 
 #include <aos_unittest.h>
 #include <amiro-lld.h>
@@ -61,6 +61,6 @@ extern "C" {
 
 #endif /* (AMIROOS_CFG_TESTS_ENABLE == true) && defined(AMIROLLD_CFG_USE_VCNL4020) */
 
-#endif /* _AMIROOS_UT_VCNL4020_LLD_HPP_ */
+#endif /* _AMIROOS_UT_VCNL4020_LLD_H_ */
 
 
diff --git a/unittests/periphery-lld/src/ut_alld_a3906.c b/unittests/periphery-lld/src/ut_alld_a3906.c
index 4e4dd29..e61f742 100644
--- a/unittests/periphery-lld/src/ut_alld_a3906.c
+++ b/unittests/periphery-lld/src/ut_alld_a3906.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/src/ut_alld_at24c01bn-sh-b.c b/unittests/periphery-lld/src/ut_alld_at24c01bn-sh-b.c
index a841ba0..d483867 100644
--- a/unittests/periphery-lld/src/ut_alld_at24c01bn-sh-b.c
+++ b/unittests/periphery-lld/src/ut_alld_at24c01bn-sh-b.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/src/ut_alld_bq24103a.c b/unittests/periphery-lld/src/ut_alld_bq24103a.c
index 42a5ba0..e5d8708 100644
--- a/unittests/periphery-lld/src/ut_alld_bq24103a.c
+++ b/unittests/periphery-lld/src/ut_alld_bq24103a.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/unittests/periphery-lld/src/ut_alld_bq27500.c b/unittests/periphery-lld/src/ut_alld_bq27500.c
index d18282a..1d40c68 100644
--- a/unittests/periphery-lld/src/ut_alld_bq27500.c
+++ b/unittests/periphery-lld/src/ut_alld_bq27500.c
@@ -1,6 +1,6 @@
 /*
 AMiRo-OS is an operating system designed for the Autonomous Mini Robot (AMiRo) platform.
-Copyright (C) 2016..2018  Thomas Schöpping et al.
+Copyright (C) 2016..2019  Thomas Schöpping et al.
 
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
